package javax.wvcm;

import com.perforce.wvcm.P4;

import junit.framework.TestCase;

public class ProviderFactoryTestCase extends TestCase {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ProviderFactoryTestCase.class);
	}

	/**
	 * Tests {@link Provider#createProvider(String,Callback)}
	 */
	public final void testCreateProviderStringCallback() throws Exception {
		ProviderFactory.Callback cb = new ProviderFactory.Callback() {
			public Authentication getAuthentication(String realm, Integer retry) {
				return null;
			}
		};
		Provider p = ProviderFactory.createProvider(P4.class.getName(), cb);
	}

	/**
	 * Tests {@link Provider#createProvider(String,Callback,Hashtable)}
	 */
	public final void testCreateProviderStringCallbackHashtable() {
		//TODO Implement createProvider().
	}

}
